Skip to content

Search readable runtime board items across one or more statuses.

POST
/api/workspace/boards/{boardIdOrKey}/items/search
curl --request POST \
--url https://example.com/api/workspace/boards/example/items/search \
--header 'Content-Type: application/json' \
--data '{ "SearchText": "example", "BoardStatusIds": [ "example" ], "BoardTargetDefinitionIds": [ "example" ], "Responsibilities": [ { "ResponsibilityKind": 0, "SubjectType": 0, "SubjectId": "example" } ], "ActorScope": { "AssignedToMe": true }, "DueDate": { "HasDueDate": true, "DueFromUtc": "2026-04-15T12:00:00Z", "DueToUtc": "2026-04-15T12:00:00Z", "IsOverdue": true }, "Tags": { "TagIds": [ "example" ] }, "ItemLinks": { "HasOpenChildBlockers": true }, "BoardData": { "Filter": { "Operator": 0, "Conditions": [ { "Field": { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" }, "Target": { "Path": [ { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" } ] }, "Operator": 0, "Values": [ { "Kind": 0, "Value": {}, "Variable": 0 } ], "RowsFilter": {}, "Spatial": { "ShapeKind": 0, "Center": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" }, "RadiusKm": 1, "BoundingBox": { "SouthWest": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" }, "NorthEast": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" } }, "Polygon": [ { "Latitude": 1, "Longitude": 1, "FullAddress": "example" } ] } } ], "Groups": [] }, "Sort": [ { "Field": { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" }, "Target": { "Path": [ { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" } ] }, "Direction": 0 } ] }, "DueDateSort": { "Direction": 0 }, "Limit": 1, "Cursor": { "BoardCycleId": "example", "BoardStatusId": "example", "RankKey": "example", "BoardItemId": "example" }, "AttentionSignals": { "TypeKeys": [ "example" ], "Severities": [ 0 ] }, "TargetData": [ { "BoardTargetDefinitionId": "example", "Filter": { "Operator": 0, "Conditions": [ { "Field": { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" }, "Target": { "Path": [ { "FieldId": "example", "FieldKey": "example", "Special": 0, "StatementId": "example", "StatementKey": "example", "ObjectContextFactId": "example", "ObjectContextFactFilterKey": "example" } ] }, "Operator": 0, "Values": [ { "Kind": 0, "Value": {}, "Variable": 0 } ], "RowsFilter": {}, "Spatial": { "ShapeKind": 0, "Center": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" }, "RadiusKm": 1, "BoundingBox": { "SouthWest": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" }, "NorthEast": { "Latitude": 1, "Longitude": 1, "FullAddress": "example" } }, "Polygon": [ { "Latitude": 1, "Longitude": 1, "FullAddress": "example" } ] } } ], "Groups": [] } } ], "CycleSelector": "example" }'
  • None
boardIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable

OK

Media typeapplication/json
object
Data

Paged runtime board item search result across one or more statuses.

object
BoardId
string
nullable
TotalCount
integer format: int32
Limit
integer format: int32
HasMore
boolean
NextCursor

Cursor for loading the next cross-status board item search page.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
Items
Array<object>
nullable

Runtime board item.

object
Id
string
nullable
BoardId
string
nullable
Target

Runtime target identity for a board item.

object
BoardTargetDefinitionId
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
TargetObjectId
string
nullable
TargetDisplayName
string
nullable
TargetSubtitle
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
IsOpen
boolean
EnteredStatusAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Actions

Server-computed runtime item actions.

object
CanMove
boolean
CanReadHistory
boolean
CanAssignItemResponsibilities
boolean
CanEditBoardData
boolean
CanViewAuditTrail
boolean
CanEditDueDate
boolean
CanManageItemLinks
boolean
CanReopen
boolean
CanCreateNewPass
boolean
CanEditTarget
boolean
CanRemove
boolean
EntityAccess

Entity access state for the underlying Entity Instance inside a board item.

object
CanRead
boolean
IsRestricted
boolean
Number
string
nullable
ProcessContent

Process content identity and summary for a board item.

object
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Comments

Process comments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Attachments

Process attachments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
HasAttachments
boolean
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Card

Server-computed compact projection for runtime board cards.

object
Number
integer format: int32
Subject
string
nullable
Description
string
nullable
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
AttachmentFileCount
integer format: int32
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
Responsibilities

Compact responsibility summary displayed on a board card.

object
Item
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Status
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
IsRestricted
boolean
Fields
Array<object>
nullable

Server-materialized board-owned Part field row for card and detail rendering.

object
FieldKey
string
nullable
DisplayName
string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
SortOrder
integer format: int32
Value
object
DisplayValue
string
nullable
IsRestricted
boolean
Target

Server-computed compact target projection for runtime board cards.

object
Number
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
Fields
Array<object>
nullable

Provider-specific compact field for board card rendering.

object
Key
string
nullable
DisplayName
string
nullable
Value
string
nullable
ValueType

Provider field value kind for compact board cards.

integer format: int32
Allowed values: 0 1 2 3 4 5
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Tags

Visible process tags assigned to this board item.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
Entity

List item for one entity instance.

object
Id

Instance identifier.

string
nullable
Number

Server-generated entity number.

string
nullable
DisplayName

Resolved entity display name or fallback number.

string
nullable
Subtitle

Resolved entity subtitle from the presentation cache.

string
nullable
CreatedAt

Instance creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier when available.

string
nullable
ModifiedAt

Last modification timestamp when available.

string format: date-time
nullable
ModifiedByUserId

Last modifying user identifier when available.

string
nullable
ArchivedAt

Archive timestamp when the instance is archived.

string format: date-time
nullable
ArchivedByUserId

Archiving user identifier when available.

string
nullable
LastComment

Compact summary of the latest comment on an entity instance.

object
Id

Comment identifier.

string
nullable
CommentText

Comment text.

string
nullable
CreatedByUserId

Comment author identifier.

string
nullable
CreatedByUserName

Comment author display name.

string
nullable
CreatedAt

Comment creation timestamp.

string format: date-time
Tags

Visible tags for the instance. List payloads include the first few tags only.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
TagCount

Total number of tags on the instance.

integer format: int32
LastActivityDateTime

Last activity timestamp for the instance.

string format: date-time
RowVersion

Runtime row-version token from the primary table.

string format: uuid
Fields

Primary-table scalar fields keyed by field key. User and role fields return compact reference models. Restricted fields are returned with Moltaro.Enums.EntityInstanceFieldStateEnum.Restricted.

object
key
additional properties

Field envelope for runtime entity-instance responses.

object
State
integer format: int32
Allowed values: 0 1
Value

Canonical stored value for the field when State is Moltaro.Enums.EntityInstanceFieldStateEnum.Value.

object
Predicates

Runtime-evaluated statement results keyed by statement identifier.

object
key
additional properties
boolean
Permissions

Item-level permissions for one entity instance.

object
CanRead

Whether the caller can read the active instance.

boolean
CanUpdate

Whether the caller can patch the active instance.

boolean
CanArchive

Whether the caller can archive the active instance.

boolean
CanDelete

Whether the caller can permanently delete the instance after archival.

boolean
CanRestore

Whether the caller can restore the archived instance.

boolean
CanMerge

Whether the caller can merge this active instance with another active instance.

boolean
CanReadArchive

Whether the caller can read the instance while it is archived.

boolean
CanReadChangesHistory

Whether the caller can read the change history for this instance.

boolean
CanReadComments

Whether comments can be viewed for this instance.

boolean
CanCreateComments

Whether comments can be created for this instance.

boolean
CanUpdateComments

Whether comments can be updated for this instance.

boolean
CanDeleteComments

Whether comments can be deleted for this instance.

boolean
CanReadTags

Whether tags can be viewed for this instance.

boolean
CanCreateTags

Whether tags can be created for this instance.

boolean
CanUpdateTags

Whether tags can be updated for this instance.

boolean
CanDeleteTags

Whether tags can be deleted for this instance.

boolean
CanReadAttachments

Whether attachments can be viewed for this instance.

boolean
CanCreateAttachments

Whether attachments can be created for this instance.

boolean
CanUpdateAttachments

Whether attachments can be updated for this instance.

boolean
CanDeleteAttachments

Whether attachments can be deleted for this instance.

boolean
Assignments

Relation assignments keyed by relation key for record-scoped entities.

object
key
additional properties
Array<object>

Assignment target in runtime entity-instance payloads.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId

Assigned subject identifier.

string
nullable
DisplayName

Display name resolved for the assignment subject when available.

string
nullable
Description

Optional secondary subject description.

string
nullable
Origin
integer format: int32
Allowed values: 0 1
SystemManaged

Whether the assignment row is managed by Moltaro runtime logic instead of direct user mutation.

boolean
InheritanceSource

Display-safe source metadata for a runtime assignment inherited from a parent record.

object
ParentEntityDefinitionId

Parent entity definition identifier.

string
nullable
ParentEntityDisplayName

Parent entity user-facing display name.

string
nullable
ParentRecord

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
SourceRelationDefinitionId

Immediate source assignment relation identifier when available.

string
nullable
SourceRelationKey

Immediate source assignment relation key when available.

string
nullable
SourceRelationDisplayName

Immediate source assignment relation display name when available.

string
nullable
RecalculatedAtUtc

Timestamp when the inherited assignment row was last recalculated.

string format: date-time
nullable
InheritedDepth

Materialized inheritance depth.

integer format: int32
nullable
MergeState

Merge state attached to entity instance payloads.

object
IsMergedAway
boolean
MergedIntoInstanceId
string
nullable
MergeOperationId
string
nullable
DisplayFields

Display-only computed fields keyed by display-field key.

object
key
additional properties
string
ProjectionSource

Display-only source member metadata for a projection row.

object
ProjectionMemberId
string
nullable
ReferenceFieldId
string
nullable
SourceEntityDefinitionId
string
nullable
Label
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ObjectContextFacts

Provider-owned object-context facts keyed by provider key.

object
key
additional properties
object
Subject
string
nullable
Description
string
nullable
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
DataRecordId
string
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Cycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
RemovedAtUtc
string format: date-time
nullable
RemovedByUserId
string
nullable
RemoveReason
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Target": {
"TargetKind": 0
},
"ProcessContent": {
"Comments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
},
"Attachments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
}
},
"Card": {
"Responsibilities": {
"Item": [
{
"SubjectType": 0
}
],
"Status": [
{
"SubjectType": 0
}
]
},
"Fields": [
{
"ValueType": 0
}
],
"Target": {
"Fields": [
{
"ValueType": 0
}
]
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
}
},
"Entity": {
"Fields": {
"additionalProperty": {
"State": 0
}
},
"Assignments": {
"additionalProperty": [
{
"SubjectType": 0,
"Origin": 0,
"InheritanceSource": {
"ParentRecord": {
"State": 0
}
}
}
]
}
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
},
"Cycle": {
"LifecycleState": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Paged runtime board item search result across one or more statuses.

object
BoardId
string
nullable
TotalCount
integer format: int32
Limit
integer format: int32
HasMore
boolean
NextCursor

Cursor for loading the next cross-status board item search page.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
Items
Array<object>
nullable

Runtime board item.

object
Id
string
nullable
BoardId
string
nullable
Target

Runtime target identity for a board item.

object
BoardTargetDefinitionId
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
TargetObjectId
string
nullable
TargetDisplayName
string
nullable
TargetSubtitle
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
IsOpen
boolean
EnteredStatusAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Actions

Server-computed runtime item actions.

object
CanMove
boolean
CanReadHistory
boolean
CanAssignItemResponsibilities
boolean
CanEditBoardData
boolean
CanViewAuditTrail
boolean
CanEditDueDate
boolean
CanManageItemLinks
boolean
CanReopen
boolean
CanCreateNewPass
boolean
CanEditTarget
boolean
CanRemove
boolean
EntityAccess

Entity access state for the underlying Entity Instance inside a board item.

object
CanRead
boolean
IsRestricted
boolean
Number
string
nullable
ProcessContent

Process content identity and summary for a board item.

object
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Comments

Process comments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Attachments

Process attachments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
HasAttachments
boolean
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Card

Server-computed compact projection for runtime board cards.

object
Number
integer format: int32
Subject
string
nullable
Description
string
nullable
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
AttachmentFileCount
integer format: int32
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
Responsibilities

Compact responsibility summary displayed on a board card.

object
Item
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Status
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
IsRestricted
boolean
Fields
Array<object>
nullable

Server-materialized board-owned Part field row for card and detail rendering.

object
FieldKey
string
nullable
DisplayName
string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
SortOrder
integer format: int32
Value
object
DisplayValue
string
nullable
IsRestricted
boolean
Target

Server-computed compact target projection for runtime board cards.

object
Number
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
Fields
Array<object>
nullable

Provider-specific compact field for board card rendering.

object
Key
string
nullable
DisplayName
string
nullable
Value
string
nullable
ValueType

Provider field value kind for compact board cards.

integer format: int32
Allowed values: 0 1 2 3 4 5
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Tags

Visible process tags assigned to this board item.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
Entity

List item for one entity instance.

object
Id

Instance identifier.

string
nullable
Number

Server-generated entity number.

string
nullable
DisplayName

Resolved entity display name or fallback number.

string
nullable
Subtitle

Resolved entity subtitle from the presentation cache.

string
nullable
CreatedAt

Instance creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier when available.

string
nullable
ModifiedAt

Last modification timestamp when available.

string format: date-time
nullable
ModifiedByUserId

Last modifying user identifier when available.

string
nullable
ArchivedAt

Archive timestamp when the instance is archived.

string format: date-time
nullable
ArchivedByUserId

Archiving user identifier when available.

string
nullable
LastComment

Compact summary of the latest comment on an entity instance.

object
Id

Comment identifier.

string
nullable
CommentText

Comment text.

string
nullable
CreatedByUserId

Comment author identifier.

string
nullable
CreatedByUserName

Comment author display name.

string
nullable
CreatedAt

Comment creation timestamp.

string format: date-time
Tags

Visible tags for the instance. List payloads include the first few tags only.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
TagCount

Total number of tags on the instance.

integer format: int32
LastActivityDateTime

Last activity timestamp for the instance.

string format: date-time
RowVersion

Runtime row-version token from the primary table.

string format: uuid
Fields

Primary-table scalar fields keyed by field key. User and role fields return compact reference models. Restricted fields are returned with Moltaro.Enums.EntityInstanceFieldStateEnum.Restricted.

object
key
additional properties

Field envelope for runtime entity-instance responses.

object
State
integer format: int32
Allowed values: 0 1
Value

Canonical stored value for the field when State is Moltaro.Enums.EntityInstanceFieldStateEnum.Value.

object
Predicates

Runtime-evaluated statement results keyed by statement identifier.

object
key
additional properties
boolean
Permissions

Item-level permissions for one entity instance.

object
CanRead

Whether the caller can read the active instance.

boolean
CanUpdate

Whether the caller can patch the active instance.

boolean
CanArchive

Whether the caller can archive the active instance.

boolean
CanDelete

Whether the caller can permanently delete the instance after archival.

boolean
CanRestore

Whether the caller can restore the archived instance.

boolean
CanMerge

Whether the caller can merge this active instance with another active instance.

boolean
CanReadArchive

Whether the caller can read the instance while it is archived.

boolean
CanReadChangesHistory

Whether the caller can read the change history for this instance.

boolean
CanReadComments

Whether comments can be viewed for this instance.

boolean
CanCreateComments

Whether comments can be created for this instance.

boolean
CanUpdateComments

Whether comments can be updated for this instance.

boolean
CanDeleteComments

Whether comments can be deleted for this instance.

boolean
CanReadTags

Whether tags can be viewed for this instance.

boolean
CanCreateTags

Whether tags can be created for this instance.

boolean
CanUpdateTags

Whether tags can be updated for this instance.

boolean
CanDeleteTags

Whether tags can be deleted for this instance.

boolean
CanReadAttachments

Whether attachments can be viewed for this instance.

boolean
CanCreateAttachments

Whether attachments can be created for this instance.

boolean
CanUpdateAttachments

Whether attachments can be updated for this instance.

boolean
CanDeleteAttachments

Whether attachments can be deleted for this instance.

boolean
Assignments

Relation assignments keyed by relation key for record-scoped entities.

object
key
additional properties
Array<object>

Assignment target in runtime entity-instance payloads.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId

Assigned subject identifier.

string
nullable
DisplayName

Display name resolved for the assignment subject when available.

string
nullable
Description

Optional secondary subject description.

string
nullable
Origin
integer format: int32
Allowed values: 0 1
SystemManaged

Whether the assignment row is managed by Moltaro runtime logic instead of direct user mutation.

boolean
InheritanceSource

Display-safe source metadata for a runtime assignment inherited from a parent record.

object
ParentEntityDefinitionId

Parent entity definition identifier.

string
nullable
ParentEntityDisplayName

Parent entity user-facing display name.

string
nullable
ParentRecord

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
SourceRelationDefinitionId

Immediate source assignment relation identifier when available.

string
nullable
SourceRelationKey

Immediate source assignment relation key when available.

string
nullable
SourceRelationDisplayName

Immediate source assignment relation display name when available.

string
nullable
RecalculatedAtUtc

Timestamp when the inherited assignment row was last recalculated.

string format: date-time
nullable
InheritedDepth

Materialized inheritance depth.

integer format: int32
nullable
MergeState

Merge state attached to entity instance payloads.

object
IsMergedAway
boolean
MergedIntoInstanceId
string
nullable
MergeOperationId
string
nullable
DisplayFields

Display-only computed fields keyed by display-field key.

object
key
additional properties
string
ProjectionSource

Display-only source member metadata for a projection row.

object
ProjectionMemberId
string
nullable
ReferenceFieldId
string
nullable
SourceEntityDefinitionId
string
nullable
Label
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ObjectContextFacts

Provider-owned object-context facts keyed by provider key.

object
key
additional properties
object
Subject
string
nullable
Description
string
nullable
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
DataRecordId
string
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Cycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
RemovedAtUtc
string format: date-time
nullable
RemovedByUserId
string
nullable
RemoveReason
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Target": {
"TargetKind": 0
},
"ProcessContent": {
"Comments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
},
"Attachments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
}
},
"Card": {
"Responsibilities": {
"Item": [
{
"SubjectType": 0
}
],
"Status": [
{
"SubjectType": 0
}
]
},
"Fields": [
{
"ValueType": 0
}
],
"Target": {
"Fields": [
{
"ValueType": 0
}
]
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
}
},
"Entity": {
"Fields": {
"additionalProperty": {
"State": 0
}
},
"Assignments": {
"additionalProperty": [
{
"SubjectType": 0,
"Origin": 0,
"InheritanceSource": {
"ParentRecord": {
"State": 0
}
}
}
]
}
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
},
"Cycle": {
"LifecycleState": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Paged runtime board item search result across one or more statuses.

object
BoardId
string
nullable
TotalCount
integer format: int32
Limit
integer format: int32
HasMore
boolean
NextCursor

Cursor for loading the next cross-status board item search page.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
Items
Array<object>
nullable

Runtime board item.

object
Id
string
nullable
BoardId
string
nullable
Target

Runtime target identity for a board item.

object
BoardTargetDefinitionId
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
TargetObjectId
string
nullable
TargetDisplayName
string
nullable
TargetSubtitle
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
IsOpen
boolean
EnteredStatusAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Actions

Server-computed runtime item actions.

object
CanMove
boolean
CanReadHistory
boolean
CanAssignItemResponsibilities
boolean
CanEditBoardData
boolean
CanViewAuditTrail
boolean
CanEditDueDate
boolean
CanManageItemLinks
boolean
CanReopen
boolean
CanCreateNewPass
boolean
CanEditTarget
boolean
CanRemove
boolean
EntityAccess

Entity access state for the underlying Entity Instance inside a board item.

object
CanRead
boolean
IsRestricted
boolean
Number
string
nullable
ProcessContent

Process content identity and summary for a board item.

object
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Comments

Process comments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Attachments

Process attachments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
HasAttachments
boolean
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Card

Server-computed compact projection for runtime board cards.

object
Number
integer format: int32
Subject
string
nullable
Description
string
nullable
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
AttachmentFileCount
integer format: int32
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
Responsibilities

Compact responsibility summary displayed on a board card.

object
Item
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Status
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
IsRestricted
boolean
Fields
Array<object>
nullable

Server-materialized board-owned Part field row for card and detail rendering.

object
FieldKey
string
nullable
DisplayName
string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
SortOrder
integer format: int32
Value
object
DisplayValue
string
nullable
IsRestricted
boolean
Target

Server-computed compact target projection for runtime board cards.

object
Number
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
Fields
Array<object>
nullable

Provider-specific compact field for board card rendering.

object
Key
string
nullable
DisplayName
string
nullable
Value
string
nullable
ValueType

Provider field value kind for compact board cards.

integer format: int32
Allowed values: 0 1 2 3 4 5
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Tags

Visible process tags assigned to this board item.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
Entity

List item for one entity instance.

object
Id

Instance identifier.

string
nullable
Number

Server-generated entity number.

string
nullable
DisplayName

Resolved entity display name or fallback number.

string
nullable
Subtitle

Resolved entity subtitle from the presentation cache.

string
nullable
CreatedAt

Instance creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier when available.

string
nullable
ModifiedAt

Last modification timestamp when available.

string format: date-time
nullable
ModifiedByUserId

Last modifying user identifier when available.

string
nullable
ArchivedAt

Archive timestamp when the instance is archived.

string format: date-time
nullable
ArchivedByUserId

Archiving user identifier when available.

string
nullable
LastComment

Compact summary of the latest comment on an entity instance.

object
Id

Comment identifier.

string
nullable
CommentText

Comment text.

string
nullable
CreatedByUserId

Comment author identifier.

string
nullable
CreatedByUserName

Comment author display name.

string
nullable
CreatedAt

Comment creation timestamp.

string format: date-time
Tags

Visible tags for the instance. List payloads include the first few tags only.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
TagCount

Total number of tags on the instance.

integer format: int32
LastActivityDateTime

Last activity timestamp for the instance.

string format: date-time
RowVersion

Runtime row-version token from the primary table.

string format: uuid
Fields

Primary-table scalar fields keyed by field key. User and role fields return compact reference models. Restricted fields are returned with Moltaro.Enums.EntityInstanceFieldStateEnum.Restricted.

object
key
additional properties

Field envelope for runtime entity-instance responses.

object
State
integer format: int32
Allowed values: 0 1
Value

Canonical stored value for the field when State is Moltaro.Enums.EntityInstanceFieldStateEnum.Value.

object
Predicates

Runtime-evaluated statement results keyed by statement identifier.

object
key
additional properties
boolean
Permissions

Item-level permissions for one entity instance.

object
CanRead

Whether the caller can read the active instance.

boolean
CanUpdate

Whether the caller can patch the active instance.

boolean
CanArchive

Whether the caller can archive the active instance.

boolean
CanDelete

Whether the caller can permanently delete the instance after archival.

boolean
CanRestore

Whether the caller can restore the archived instance.

boolean
CanMerge

Whether the caller can merge this active instance with another active instance.

boolean
CanReadArchive

Whether the caller can read the instance while it is archived.

boolean
CanReadChangesHistory

Whether the caller can read the change history for this instance.

boolean
CanReadComments

Whether comments can be viewed for this instance.

boolean
CanCreateComments

Whether comments can be created for this instance.

boolean
CanUpdateComments

Whether comments can be updated for this instance.

boolean
CanDeleteComments

Whether comments can be deleted for this instance.

boolean
CanReadTags

Whether tags can be viewed for this instance.

boolean
CanCreateTags

Whether tags can be created for this instance.

boolean
CanUpdateTags

Whether tags can be updated for this instance.

boolean
CanDeleteTags

Whether tags can be deleted for this instance.

boolean
CanReadAttachments

Whether attachments can be viewed for this instance.

boolean
CanCreateAttachments

Whether attachments can be created for this instance.

boolean
CanUpdateAttachments

Whether attachments can be updated for this instance.

boolean
CanDeleteAttachments

Whether attachments can be deleted for this instance.

boolean
Assignments

Relation assignments keyed by relation key for record-scoped entities.

object
key
additional properties
Array<object>

Assignment target in runtime entity-instance payloads.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId

Assigned subject identifier.

string
nullable
DisplayName

Display name resolved for the assignment subject when available.

string
nullable
Description

Optional secondary subject description.

string
nullable
Origin
integer format: int32
Allowed values: 0 1
SystemManaged

Whether the assignment row is managed by Moltaro runtime logic instead of direct user mutation.

boolean
InheritanceSource

Display-safe source metadata for a runtime assignment inherited from a parent record.

object
ParentEntityDefinitionId

Parent entity definition identifier.

string
nullable
ParentEntityDisplayName

Parent entity user-facing display name.

string
nullable
ParentRecord

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
SourceRelationDefinitionId

Immediate source assignment relation identifier when available.

string
nullable
SourceRelationKey

Immediate source assignment relation key when available.

string
nullable
SourceRelationDisplayName

Immediate source assignment relation display name when available.

string
nullable
RecalculatedAtUtc

Timestamp when the inherited assignment row was last recalculated.

string format: date-time
nullable
InheritedDepth

Materialized inheritance depth.

integer format: int32
nullable
MergeState

Merge state attached to entity instance payloads.

object
IsMergedAway
boolean
MergedIntoInstanceId
string
nullable
MergeOperationId
string
nullable
DisplayFields

Display-only computed fields keyed by display-field key.

object
key
additional properties
string
ProjectionSource

Display-only source member metadata for a projection row.

object
ProjectionMemberId
string
nullable
ReferenceFieldId
string
nullable
SourceEntityDefinitionId
string
nullable
Label
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ObjectContextFacts

Provider-owned object-context facts keyed by provider key.

object
key
additional properties
object
Subject
string
nullable
Description
string
nullable
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
DataRecordId
string
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Cycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
RemovedAtUtc
string format: date-time
nullable
RemovedByUserId
string
nullable
RemoveReason
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Target": {
"TargetKind": 0
},
"ProcessContent": {
"Comments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
},
"Attachments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
}
},
"Card": {
"Responsibilities": {
"Item": [
{
"SubjectType": 0
}
],
"Status": [
{
"SubjectType": 0
}
]
},
"Fields": [
{
"ValueType": 0
}
],
"Target": {
"Fields": [
{
"ValueType": 0
}
]
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
}
},
"Entity": {
"Fields": {
"additionalProperty": {
"State": 0
}
},
"Assignments": {
"additionalProperty": [
{
"SubjectType": 0,
"Origin": 0,
"InheritanceSource": {
"ParentRecord": {
"State": 0
}
}
}
]
}
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
},
"Cycle": {
"LifecycleState": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Paged runtime board item search result across one or more statuses.

object
BoardId
string
nullable
TotalCount
integer format: int32
Limit
integer format: int32
HasMore
boolean
NextCursor

Cursor for loading the next cross-status board item search page.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
Items
Array<object>
nullable

Runtime board item.

object
Id
string
nullable
BoardId
string
nullable
Target

Runtime target identity for a board item.

object
BoardTargetDefinitionId
string
nullable
TargetKind
integer format: int32
Allowed values: 0 1 2
TargetModelId
string
nullable
TargetObjectId
string
nullable
TargetDisplayName
string
nullable
TargetSubtitle
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
RunNumber
integer format: int32
IsOpen
boolean
EnteredStatusAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
Actions

Server-computed runtime item actions.

object
CanMove
boolean
CanReadHistory
boolean
CanAssignItemResponsibilities
boolean
CanEditBoardData
boolean
CanViewAuditTrail
boolean
CanEditDueDate
boolean
CanManageItemLinks
boolean
CanReopen
boolean
CanCreateNewPass
boolean
CanEditTarget
boolean
CanRemove
boolean
EntityAccess

Entity access state for the underlying Entity Instance inside a board item.

object
CanRead
boolean
IsRestricted
boolean
Number
string
nullable
ProcessContent

Process content identity and summary for a board item.

object
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Comments

Process comments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Attachments

Process attachments state for a board item.

object
AccessLevel
integer format: int32
Allowed values: 0 1
Count
integer format: int32
HasAttachments
boolean
CreatePolicy
integer format: int32
Allowed values: 0 1 2
ReadPolicy
integer format: int32
Allowed values: 0 1 2
Card

Server-computed compact projection for runtime board cards.

object
Number
integer format: int32
Subject
string
nullable
Description
string
nullable
LastComment

Process content comment summary for a board item.

object
Id
string
nullable
CommentText
string
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
CreatedAt
string format: date-time
AttachmentFileCount
integer format: int32
BoardStatusId
string
nullable
BoardStatusDisplayName
string
nullable
BoardStatusColor
string
nullable
Responsibilities

Compact responsibility summary displayed on a board card.

object
Item
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
Status
Array<object>
nullable

Compact responsibility subject displayed on a board card.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
DisplayName
string
nullable
IsRestricted
boolean
Fields
Array<object>
nullable

Server-materialized board-owned Part field row for card and detail rendering.

object
FieldKey
string
nullable
DisplayName
string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
SortOrder
integer format: int32
Value
object
DisplayValue
string
nullable
IsRestricted
boolean
Target

Server-computed compact target projection for runtime board cards.

object
Number
string
nullable
DisplayName
string
nullable
Subtitle
string
nullable
Fields
Array<object>
nullable

Provider-specific compact field for board card rendering.

object
Key
string
nullable
DisplayName
string
nullable
Value
string
nullable
ValueType

Provider field value kind for compact board cards.

integer format: int32
Allowed values: 0 1 2 3 4 5
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Tags

Visible process tags assigned to this board item.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
Entity

List item for one entity instance.

object
Id

Instance identifier.

string
nullable
Number

Server-generated entity number.

string
nullable
DisplayName

Resolved entity display name or fallback number.

string
nullable
Subtitle

Resolved entity subtitle from the presentation cache.

string
nullable
CreatedAt

Instance creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier when available.

string
nullable
ModifiedAt

Last modification timestamp when available.

string format: date-time
nullable
ModifiedByUserId

Last modifying user identifier when available.

string
nullable
ArchivedAt

Archive timestamp when the instance is archived.

string format: date-time
nullable
ArchivedByUserId

Archiving user identifier when available.

string
nullable
LastComment

Compact summary of the latest comment on an entity instance.

object
Id

Comment identifier.

string
nullable
CommentText

Comment text.

string
nullable
CreatedByUserId

Comment author identifier.

string
nullable
CreatedByUserName

Comment author display name.

string
nullable
CreatedAt

Comment creation timestamp.

string format: date-time
Tags

Visible tags for the instance. List payloads include the first few tags only.

Array<object>
nullable

Compact tag details for one entity instance.

object
Id

Tag identifier.

string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
TagCount

Total number of tags on the instance.

integer format: int32
LastActivityDateTime

Last activity timestamp for the instance.

string format: date-time
RowVersion

Runtime row-version token from the primary table.

string format: uuid
Fields

Primary-table scalar fields keyed by field key. User and role fields return compact reference models. Restricted fields are returned with Moltaro.Enums.EntityInstanceFieldStateEnum.Restricted.

object
key
additional properties

Field envelope for runtime entity-instance responses.

object
State
integer format: int32
Allowed values: 0 1
Value

Canonical stored value for the field when State is Moltaro.Enums.EntityInstanceFieldStateEnum.Value.

object
Predicates

Runtime-evaluated statement results keyed by statement identifier.

object
key
additional properties
boolean
Permissions

Item-level permissions for one entity instance.

object
CanRead

Whether the caller can read the active instance.

boolean
CanUpdate

Whether the caller can patch the active instance.

boolean
CanArchive

Whether the caller can archive the active instance.

boolean
CanDelete

Whether the caller can permanently delete the instance after archival.

boolean
CanRestore

Whether the caller can restore the archived instance.

boolean
CanMerge

Whether the caller can merge this active instance with another active instance.

boolean
CanReadArchive

Whether the caller can read the instance while it is archived.

boolean
CanReadChangesHistory

Whether the caller can read the change history for this instance.

boolean
CanReadComments

Whether comments can be viewed for this instance.

boolean
CanCreateComments

Whether comments can be created for this instance.

boolean
CanUpdateComments

Whether comments can be updated for this instance.

boolean
CanDeleteComments

Whether comments can be deleted for this instance.

boolean
CanReadTags

Whether tags can be viewed for this instance.

boolean
CanCreateTags

Whether tags can be created for this instance.

boolean
CanUpdateTags

Whether tags can be updated for this instance.

boolean
CanDeleteTags

Whether tags can be deleted for this instance.

boolean
CanReadAttachments

Whether attachments can be viewed for this instance.

boolean
CanCreateAttachments

Whether attachments can be created for this instance.

boolean
CanUpdateAttachments

Whether attachments can be updated for this instance.

boolean
CanDeleteAttachments

Whether attachments can be deleted for this instance.

boolean
Assignments

Relation assignments keyed by relation key for record-scoped entities.

object
key
additional properties
Array<object>

Assignment target in runtime entity-instance payloads.

object
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId

Assigned subject identifier.

string
nullable
DisplayName

Display name resolved for the assignment subject when available.

string
nullable
Description

Optional secondary subject description.

string
nullable
Origin
integer format: int32
Allowed values: 0 1
SystemManaged

Whether the assignment row is managed by Moltaro runtime logic instead of direct user mutation.

boolean
InheritanceSource

Display-safe source metadata for a runtime assignment inherited from a parent record.

object
ParentEntityDefinitionId

Parent entity definition identifier.

string
nullable
ParentEntityDisplayName

Parent entity user-facing display name.

string
nullable
ParentRecord

Compact runtime payload for one resolved or unresolved entity reference.

object
State
integer format: int32
Allowed values: 0 1 2
Id

Linked entity identifier when resolved.

string
nullable
Number

Linked entity number when resolved.

string
nullable
DisplayName

Linked entity display name from the presentation cache when resolved.

string
nullable
Subtitle

Linked entity subtitle from the presentation cache when resolved.

string
nullable
ProjectedValues

Projected primary-field scalar values and requested nested reference values keyed by target field key when resolved.

object
key
additional properties
nullable
EntityDefinitionId

Linked entity definition identifier when resolved.

string
nullable
SourceRelationDefinitionId

Immediate source assignment relation identifier when available.

string
nullable
SourceRelationKey

Immediate source assignment relation key when available.

string
nullable
SourceRelationDisplayName

Immediate source assignment relation display name when available.

string
nullable
RecalculatedAtUtc

Timestamp when the inherited assignment row was last recalculated.

string format: date-time
nullable
InheritedDepth

Materialized inheritance depth.

integer format: int32
nullable
MergeState

Merge state attached to entity instance payloads.

object
IsMergedAway
boolean
MergedIntoInstanceId
string
nullable
MergeOperationId
string
nullable
DisplayFields

Display-only computed fields keyed by display-field key.

object
key
additional properties
string
ProjectionSource

Display-only source member metadata for a projection row.

object
ProjectionMemberId
string
nullable
ReferenceFieldId
string
nullable
SourceEntityDefinitionId
string
nullable
Label
string
nullable
SourceEntityDisplayNameSingular
string
nullable
SourceEntityDisplayNamePlural
string
nullable
ObjectContextFacts

Provider-owned object-context facts keyed by provider key.

object
key
additional properties
object
Subject
string
nullable
Description
string
nullable
DueDate

Server-computed due-date state for runtime board cards and details.

object
Enabled
boolean
TimeMode
integer format: int32
Allowed values: 0 1
DueAtUtc
string format: date-time
nullable
DueDate
string format: date
nullable
DueTime
string format: time
nullable
Severity
integer format: int32
Allowed values: 0 1 2
MatchedExpectationId
string
nullable
ThresholdUtc
string format: date-time
nullable
DataRecordId
string
nullable
AttentionSignals

Active AttentionSignal summary for one runtime board item.

object
Count
integer format: int32
HighestSeverity
integer format: int32
Allowed values: 0 1 2
Items
Array<object>
nullable

Active AttentionSignal row summarized on runtime board cards and details.

object
Id
string
nullable
TypeKey
string
nullable
Severity
integer format: int32
Allowed values: 0 1 2
Title
string
nullable
Body
string
nullable
DueAtUtc
string format: date-time
nullable
Cycle

Compact cycle summary for a runtime board item.

object
Id
string
nullable
Name
string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate
string format: date
nullable
EndDate
string format: date
nullable
SortOrder
integer format: int32
RemovedAtUtc
string format: date-time
nullable
RemovedByUserId
string
nullable
RemoveReason
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Target": {
"TargetKind": 0
},
"ProcessContent": {
"Comments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
},
"Attachments": {
"AccessLevel": 0,
"CreatePolicy": 0,
"ReadPolicy": 0
}
},
"Card": {
"Responsibilities": {
"Item": [
{
"SubjectType": 0
}
],
"Status": [
{
"SubjectType": 0
}
]
},
"Fields": [
{
"ValueType": 0
}
],
"Target": {
"Fields": [
{
"ValueType": 0
}
]
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
}
},
"Entity": {
"Fields": {
"additionalProperty": {
"State": 0
}
},
"Assignments": {
"additionalProperty": [
{
"SubjectType": 0,
"Origin": 0,
"InheritanceSource": {
"ParentRecord": {
"State": 0
}
}
}
]
}
},
"DueDate": {
"TimeMode": 0,
"Severity": 0
},
"AttentionSignals": {
"HighestSeverity": 0,
"Items": [
{
"Severity": 0
}
]
},
"Cycle": {
"LifecycleState": 0
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}